package com.sh.share.controller;

import com.sh.share.entity.Share;
import com.sh.share.entity.ShareSettings;
import com.sh.share.entity.ShareType;
import com.sh.share.service.ShareInfoService;
import com.sh.share.service.ShareService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author xiaozun
 * @since 2024/05/08/11:04
 */
@RestController
public class ShareController {
    @Resource
    private ShareService shareService;

    @Resource
    private ShareInfoService infoService;

    /**
     * 创建分享
     *
     * @param shareId    分享内容id
     * @param typeId     分享类型id
     * @param time       分享期限
     * @param inPassWord 传入的密码
     */
//    @RequestMapping("/creatShare")
//    public void creatShare(Long shareId, Integer typeId, int time, String inPassWord) {
////        获取Share对象
//        Share share = shareService.getShareById(shareId);
////        获得位权限总合
////        Long sumPermission = shareService.returnBitPermission(typeId);
////        生成密码
//        String passWord = inPassWord;
//        if (inPassWord == null) {
//            passWord = PasswordUtils.randomPassword(4, true, true, true, true);
//        }
////        添加记录
//        shareService.addShareSetting(share, sumPermission, time, passWord);
//    }

    /**
     * 删除分享
     *
     * @param settingId 分享记录id
     */
/*    @RequestMapping("/delShare")
    public void delShare(Long settingId) {
        shareService.delShare(settingId);
    }*/




    @RequestMapping("/shareLink")
    public String getShareLink(Long settingId) {
        return shareService.getShareLink(settingId);
    }
}
