package com.sh.share.entity;

import java.util.Date;

public class ShareSettings {
    private Long id;

    private String shareBy;

    private String shareName;

    private Long shareId;

    private String sharedToId;

    private String receiverTypeCode;

    private Date shareTime;

    private Date shareExpireTime;

    private Long sharePermission;

    private Boolean encryptedShare;

    private String encryptionPassword;

    private String accessLink;

    private Date createTime;

    private String createBy;

    private Date updateTime;

    private String updateBy;

    private Long tenantId;

    private Long deptId;

    private Integer groupIndex;

    private Long groupPi;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getShareBy() {
        return shareBy;
    }

    public void setShareBy(String shareBy) {
        this.shareBy = shareBy;
    }

    public String getShareName() {
        return shareName;
    }

    public void setShareName(String shareName) {
        this.shareName = shareName;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public String getSharedToId() {
        return sharedToId;
    }

    public void setSharedToId(String sharedToId) {
        this.sharedToId = sharedToId;
    }

    public String getReceiverTypeCode() {
        return receiverTypeCode;
    }

    public void setReceiverTypeCode(String receiverTypeCode) {
        this.receiverTypeCode = receiverTypeCode;
    }

    public Date getShareTime() {
        return shareTime;
    }

    public void setShareTime(Date shareTime) {
        this.shareTime = shareTime;
    }

    public Date getShareExpireTime() {
        return shareExpireTime;
    }

    public void setShareExpireTime(Date shareExpireTime) {
        this.shareExpireTime = shareExpireTime;
    }

    public Long getSharePermission() {
        return sharePermission;
    }

    public void setSharePermission(Long sharePermission) {
        this.sharePermission = sharePermission;
    }

    public Boolean getEncryptedShare() {
        return encryptedShare;
    }

    public void setEncryptedShare(Boolean encryptedShare) {
        this.encryptedShare = encryptedShare;
    }

    public String getEncryptionPassword() {
        return encryptionPassword;
    }

    public void setEncryptionPassword(String encryptionPassword) {
        this.encryptionPassword = encryptionPassword;
    }

    public String getAccessLink() {
        return accessLink;
    }

    public void setAccessLink(String accessLink) {
        this.accessLink = accessLink;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getGroupIndex() {
        return groupIndex;
    }

    public void setGroupIndex(Integer groupIndex) {
        this.groupIndex = groupIndex;
    }

    public Long getGroupPi() {
        return groupPi;
    }

    public void setGroupPi(Long groupPi) {
        this.groupPi = groupPi;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", shareBy=").append(shareBy);
        sb.append(", shareName=").append(shareName);
        sb.append(", shareId=").append(shareId);
        sb.append(", sharedToId=").append(sharedToId);
        sb.append(", receiverTypeCode=").append(receiverTypeCode);
        sb.append(", shareTime=").append(shareTime);
        sb.append(", shareExpireTime=").append(shareExpireTime);
        sb.append(", sharePermission=").append(sharePermission);
        sb.append(", encryptedShare=").append(encryptedShare);
        sb.append(", encryptionPassword=").append(encryptionPassword);
        sb.append(", accessLink=").append(accessLink);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", tenantId=").append(tenantId);
        sb.append(", deptId=").append(deptId);
        sb.append(", groupIndex=").append(groupIndex);
        sb.append(", groupPi=").append(groupPi);
        sb.append("]");
        return sb.toString();
    }
}