package com.sh.share.req;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class HistoryAddReq {
    private Long id;

    @NotNull(message = "分享id不能为空")
    private Long shareId;

    @NotNull(message = "操作人不能为空")
    private String operatorUsername;

    private Date operatorTime;

    private String delFlag;

    private Date createTime;

    @NotNull(message = "创建人不能为空")
    private String createBy;

    private Date updateTime;

    private String updateBy;

    private Long deptId;

    private Integer groupIndex;

    private Long groupPi;

    private Long tenantId;

    private String content;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public String getOperatorUsername() {
        return operatorUsername;
    }

    public void setOperatorUsername(String operatorUsername) {
        this.operatorUsername = operatorUsername;
    }

    public Date getOperatorTime() {
        return new Date();
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public String getDelFlag() {
        return "-1";
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getGroupIndex() {
        return groupIndex;
    }

    public void setGroupIndex(Integer groupIndex) {
        this.groupIndex = groupIndex;
    }

    public Long getGroupPi() {
        return groupPi;
    }

    public void setGroupPi(Long groupPi) {
        this.groupPi = groupPi;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", shareId=").append(shareId);
        sb.append(", operatorUsername=").append(operatorUsername);
        sb.append(", operatorTime=").append(operatorTime);
        sb.append(", delFlag=").append(delFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", deptId=").append(deptId);
        sb.append(", groupIndex=").append(groupIndex);
        sb.append(", groupPi=").append(groupPi);
        sb.append(", tenantId=").append(tenantId);
        sb.append(", content=").append(content);
        sb.append("]");
        return sb.toString();
    }
}