package com.sh.testspringbootstarter.config;

import com.sh.testspringbootstarter.interceptor.TestInterceptor;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author xiaozun
 * @description
 * @since 2024/05/07/11:41
 */
public class TestWebMvcConfig implements WebMvcConfigurer {
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new TestInterceptor())
                .addPathPatterns("/**");
    }
}
