package com.sh.share.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ShareSettingsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ShareSettingsExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andShareByIsNull() {
            addCriterion("share_by is null");
            return (Criteria) this;
        }

        public Criteria andShareByIsNotNull() {
            addCriterion("share_by is not null");
            return (Criteria) this;
        }

        public Criteria andShareByEqualTo(String value) {
            addCriterion("share_by =", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByNotEqualTo(String value) {
            addCriterion("share_by <>", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByGreaterThan(String value) {
            addCriterion("share_by >", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByGreaterThanOrEqualTo(String value) {
            addCriterion("share_by >=", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByLessThan(String value) {
            addCriterion("share_by <", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByLessThanOrEqualTo(String value) {
            addCriterion("share_by <=", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByLike(String value) {
            addCriterion("share_by like", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByNotLike(String value) {
            addCriterion("share_by not like", value, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByIn(List<String> values) {
            addCriterion("share_by in", values, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByNotIn(List<String> values) {
            addCriterion("share_by not in", values, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByBetween(String value1, String value2) {
            addCriterion("share_by between", value1, value2, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareByNotBetween(String value1, String value2) {
            addCriterion("share_by not between", value1, value2, "shareBy");
            return (Criteria) this;
        }

        public Criteria andShareNameIsNull() {
            addCriterion("share_name is null");
            return (Criteria) this;
        }

        public Criteria andShareNameIsNotNull() {
            addCriterion("share_name is not null");
            return (Criteria) this;
        }

        public Criteria andShareNameEqualTo(String value) {
            addCriterion("share_name =", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameNotEqualTo(String value) {
            addCriterion("share_name <>", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameGreaterThan(String value) {
            addCriterion("share_name >", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameGreaterThanOrEqualTo(String value) {
            addCriterion("share_name >=", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameLessThan(String value) {
            addCriterion("share_name <", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameLessThanOrEqualTo(String value) {
            addCriterion("share_name <=", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameLike(String value) {
            addCriterion("share_name like", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameNotLike(String value) {
            addCriterion("share_name not like", value, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameIn(List<String> values) {
            addCriterion("share_name in", values, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameNotIn(List<String> values) {
            addCriterion("share_name not in", values, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameBetween(String value1, String value2) {
            addCriterion("share_name between", value1, value2, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareNameNotBetween(String value1, String value2) {
            addCriterion("share_name not between", value1, value2, "shareName");
            return (Criteria) this;
        }

        public Criteria andShareIdIsNull() {
            addCriterion("share_id is null");
            return (Criteria) this;
        }

        public Criteria andShareIdIsNotNull() {
            addCriterion("share_id is not null");
            return (Criteria) this;
        }

        public Criteria andShareIdEqualTo(Long value) {
            addCriterion("share_id =", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdNotEqualTo(Long value) {
            addCriterion("share_id <>", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdGreaterThan(Long value) {
            addCriterion("share_id >", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdGreaterThanOrEqualTo(Long value) {
            addCriterion("share_id >=", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdLessThan(Long value) {
            addCriterion("share_id <", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdLessThanOrEqualTo(Long value) {
            addCriterion("share_id <=", value, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdIn(List<Long> values) {
            addCriterion("share_id in", values, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdNotIn(List<Long> values) {
            addCriterion("share_id not in", values, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdBetween(Long value1, Long value2) {
            addCriterion("share_id between", value1, value2, "shareId");
            return (Criteria) this;
        }

        public Criteria andShareIdNotBetween(Long value1, Long value2) {
            addCriterion("share_id not between", value1, value2, "shareId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdIsNull() {
            addCriterion("shared_to_id is null");
            return (Criteria) this;
        }

        public Criteria andSharedToIdIsNotNull() {
            addCriterion("shared_to_id is not null");
            return (Criteria) this;
        }

        public Criteria andSharedToIdEqualTo(String value) {
            addCriterion("shared_to_id =", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdNotEqualTo(String value) {
            addCriterion("shared_to_id <>", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdGreaterThan(String value) {
            addCriterion("shared_to_id >", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdGreaterThanOrEqualTo(String value) {
            addCriterion("shared_to_id >=", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdLessThan(String value) {
            addCriterion("shared_to_id <", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdLessThanOrEqualTo(String value) {
            addCriterion("shared_to_id <=", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdLike(String value) {
            addCriterion("shared_to_id like", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdNotLike(String value) {
            addCriterion("shared_to_id not like", value, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdIn(List<String> values) {
            addCriterion("shared_to_id in", values, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdNotIn(List<String> values) {
            addCriterion("shared_to_id not in", values, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdBetween(String value1, String value2) {
            addCriterion("shared_to_id between", value1, value2, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andSharedToIdNotBetween(String value1, String value2) {
            addCriterion("shared_to_id not between", value1, value2, "sharedToId");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeIsNull() {
            addCriterion("receiver_type_code is null");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeIsNotNull() {
            addCriterion("receiver_type_code is not null");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeEqualTo(String value) {
            addCriterion("receiver_type_code =", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeNotEqualTo(String value) {
            addCriterion("receiver_type_code <>", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeGreaterThan(String value) {
            addCriterion("receiver_type_code >", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeGreaterThanOrEqualTo(String value) {
            addCriterion("receiver_type_code >=", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeLessThan(String value) {
            addCriterion("receiver_type_code <", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeLessThanOrEqualTo(String value) {
            addCriterion("receiver_type_code <=", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeLike(String value) {
            addCriterion("receiver_type_code like", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeNotLike(String value) {
            addCriterion("receiver_type_code not like", value, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeIn(List<String> values) {
            addCriterion("receiver_type_code in", values, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeNotIn(List<String> values) {
            addCriterion("receiver_type_code not in", values, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeBetween(String value1, String value2) {
            addCriterion("receiver_type_code between", value1, value2, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andReceiverTypeCodeNotBetween(String value1, String value2) {
            addCriterion("receiver_type_code not between", value1, value2, "receiverTypeCode");
            return (Criteria) this;
        }

        public Criteria andShareTimeIsNull() {
            addCriterion("share_time is null");
            return (Criteria) this;
        }

        public Criteria andShareTimeIsNotNull() {
            addCriterion("share_time is not null");
            return (Criteria) this;
        }

        public Criteria andShareTimeEqualTo(Date value) {
            addCriterion("share_time =", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeNotEqualTo(Date value) {
            addCriterion("share_time <>", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeGreaterThan(Date value) {
            addCriterion("share_time >", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("share_time >=", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeLessThan(Date value) {
            addCriterion("share_time <", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeLessThanOrEqualTo(Date value) {
            addCriterion("share_time <=", value, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeIn(List<Date> values) {
            addCriterion("share_time in", values, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeNotIn(List<Date> values) {
            addCriterion("share_time not in", values, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeBetween(Date value1, Date value2) {
            addCriterion("share_time between", value1, value2, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareTimeNotBetween(Date value1, Date value2) {
            addCriterion("share_time not between", value1, value2, "shareTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeIsNull() {
            addCriterion("share_expire_time is null");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeIsNotNull() {
            addCriterion("share_expire_time is not null");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeEqualTo(Date value) {
            addCriterion("share_expire_time =", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeNotEqualTo(Date value) {
            addCriterion("share_expire_time <>", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeGreaterThan(Date value) {
            addCriterion("share_expire_time >", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("share_expire_time >=", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeLessThan(Date value) {
            addCriterion("share_expire_time <", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeLessThanOrEqualTo(Date value) {
            addCriterion("share_expire_time <=", value, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeIn(List<Date> values) {
            addCriterion("share_expire_time in", values, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeNotIn(List<Date> values) {
            addCriterion("share_expire_time not in", values, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeBetween(Date value1, Date value2) {
            addCriterion("share_expire_time between", value1, value2, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andShareExpireTimeNotBetween(Date value1, Date value2) {
            addCriterion("share_expire_time not between", value1, value2, "shareExpireTime");
            return (Criteria) this;
        }

        public Criteria andSharePermissionIsNull() {
            addCriterion("share_permission is null");
            return (Criteria) this;
        }

        public Criteria andSharePermissionIsNotNull() {
            addCriterion("share_permission is not null");
            return (Criteria) this;
        }

        public Criteria andSharePermissionEqualTo(Long value) {
            addCriterion("share_permission =", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionNotEqualTo(Long value) {
            addCriterion("share_permission <>", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionGreaterThan(Long value) {
            addCriterion("share_permission >", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionGreaterThanOrEqualTo(Long value) {
            addCriterion("share_permission >=", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionLessThan(Long value) {
            addCriterion("share_permission <", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionLessThanOrEqualTo(Long value) {
            addCriterion("share_permission <=", value, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionIn(List<Long> values) {
            addCriterion("share_permission in", values, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionNotIn(List<Long> values) {
            addCriterion("share_permission not in", values, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionBetween(Long value1, Long value2) {
            addCriterion("share_permission between", value1, value2, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andSharePermissionNotBetween(Long value1, Long value2) {
            addCriterion("share_permission not between", value1, value2, "sharePermission");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareIsNull() {
            addCriterion("encrypted_share is null");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareIsNotNull() {
            addCriterion("encrypted_share is not null");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareEqualTo(Boolean value) {
            addCriterion("encrypted_share =", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareNotEqualTo(Boolean value) {
            addCriterion("encrypted_share <>", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareGreaterThan(Boolean value) {
            addCriterion("encrypted_share >", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareGreaterThanOrEqualTo(Boolean value) {
            addCriterion("encrypted_share >=", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareLessThan(Boolean value) {
            addCriterion("encrypted_share <", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareLessThanOrEqualTo(Boolean value) {
            addCriterion("encrypted_share <=", value, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareIn(List<Boolean> values) {
            addCriterion("encrypted_share in", values, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareNotIn(List<Boolean> values) {
            addCriterion("encrypted_share not in", values, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareBetween(Boolean value1, Boolean value2) {
            addCriterion("encrypted_share between", value1, value2, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptedShareNotBetween(Boolean value1, Boolean value2) {
            addCriterion("encrypted_share not between", value1, value2, "encryptedShare");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordIsNull() {
            addCriterion("encryption_password is null");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordIsNotNull() {
            addCriterion("encryption_password is not null");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordEqualTo(String value) {
            addCriterion("encryption_password =", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordNotEqualTo(String value) {
            addCriterion("encryption_password <>", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordGreaterThan(String value) {
            addCriterion("encryption_password >", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("encryption_password >=", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordLessThan(String value) {
            addCriterion("encryption_password <", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordLessThanOrEqualTo(String value) {
            addCriterion("encryption_password <=", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordLike(String value) {
            addCriterion("encryption_password like", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordNotLike(String value) {
            addCriterion("encryption_password not like", value, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordIn(List<String> values) {
            addCriterion("encryption_password in", values, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordNotIn(List<String> values) {
            addCriterion("encryption_password not in", values, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordBetween(String value1, String value2) {
            addCriterion("encryption_password between", value1, value2, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andEncryptionPasswordNotBetween(String value1, String value2) {
            addCriterion("encryption_password not between", value1, value2, "encryptionPassword");
            return (Criteria) this;
        }

        public Criteria andAccessLinkIsNull() {
            addCriterion("access_link is null");
            return (Criteria) this;
        }

        public Criteria andAccessLinkIsNotNull() {
            addCriterion("access_link is not null");
            return (Criteria) this;
        }

        public Criteria andAccessLinkEqualTo(String value) {
            addCriterion("access_link =", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkNotEqualTo(String value) {
            addCriterion("access_link <>", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkGreaterThan(String value) {
            addCriterion("access_link >", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkGreaterThanOrEqualTo(String value) {
            addCriterion("access_link >=", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkLessThan(String value) {
            addCriterion("access_link <", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkLessThanOrEqualTo(String value) {
            addCriterion("access_link <=", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkLike(String value) {
            addCriterion("access_link like", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkNotLike(String value) {
            addCriterion("access_link not like", value, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkIn(List<String> values) {
            addCriterion("access_link in", values, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkNotIn(List<String> values) {
            addCriterion("access_link not in", values, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkBetween(String value1, String value2) {
            addCriterion("access_link between", value1, value2, "accessLink");
            return (Criteria) this;
        }

        public Criteria andAccessLinkNotBetween(String value1, String value2) {
            addCriterion("access_link not between", value1, value2, "accessLink");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNull() {
            addCriterion("update_by is null");
            return (Criteria) this;
        }

        public Criteria andUpdateByIsNotNull() {
            addCriterion("update_by is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateByEqualTo(String value) {
            addCriterion("update_by =", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotEqualTo(String value) {
            addCriterion("update_by <>", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThan(String value) {
            addCriterion("update_by >", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByGreaterThanOrEqualTo(String value) {
            addCriterion("update_by >=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThan(String value) {
            addCriterion("update_by <", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLessThanOrEqualTo(String value) {
            addCriterion("update_by <=", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByLike(String value) {
            addCriterion("update_by like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotLike(String value) {
            addCriterion("update_by not like", value, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByIn(List<String> values) {
            addCriterion("update_by in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotIn(List<String> values) {
            addCriterion("update_by not in", values, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByBetween(String value1, String value2) {
            addCriterion("update_by between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andUpdateByNotBetween(String value1, String value2) {
            addCriterion("update_by not between", value1, value2, "updateBy");
            return (Criteria) this;
        }

        public Criteria andTenantIdIsNull() {
            addCriterion("tenant_id is null");
            return (Criteria) this;
        }

        public Criteria andTenantIdIsNotNull() {
            addCriterion("tenant_id is not null");
            return (Criteria) this;
        }

        public Criteria andTenantIdEqualTo(Long value) {
            addCriterion("tenant_id =", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdNotEqualTo(Long value) {
            addCriterion("tenant_id <>", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdGreaterThan(Long value) {
            addCriterion("tenant_id >", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdGreaterThanOrEqualTo(Long value) {
            addCriterion("tenant_id >=", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdLessThan(Long value) {
            addCriterion("tenant_id <", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdLessThanOrEqualTo(Long value) {
            addCriterion("tenant_id <=", value, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdIn(List<Long> values) {
            addCriterion("tenant_id in", values, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdNotIn(List<Long> values) {
            addCriterion("tenant_id not in", values, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdBetween(Long value1, Long value2) {
            addCriterion("tenant_id between", value1, value2, "tenantId");
            return (Criteria) this;
        }

        public Criteria andTenantIdNotBetween(Long value1, Long value2) {
            addCriterion("tenant_id not between", value1, value2, "tenantId");
            return (Criteria) this;
        }

        public Criteria andDeptIdIsNull() {
            addCriterion("dept_id is null");
            return (Criteria) this;
        }

        public Criteria andDeptIdIsNotNull() {
            addCriterion("dept_id is not null");
            return (Criteria) this;
        }

        public Criteria andDeptIdEqualTo(Long value) {
            addCriterion("dept_id =", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdNotEqualTo(Long value) {
            addCriterion("dept_id <>", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdGreaterThan(Long value) {
            addCriterion("dept_id >", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdGreaterThanOrEqualTo(Long value) {
            addCriterion("dept_id >=", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdLessThan(Long value) {
            addCriterion("dept_id <", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdLessThanOrEqualTo(Long value) {
            addCriterion("dept_id <=", value, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdIn(List<Long> values) {
            addCriterion("dept_id in", values, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdNotIn(List<Long> values) {
            addCriterion("dept_id not in", values, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdBetween(Long value1, Long value2) {
            addCriterion("dept_id between", value1, value2, "deptId");
            return (Criteria) this;
        }

        public Criteria andDeptIdNotBetween(Long value1, Long value2) {
            addCriterion("dept_id not between", value1, value2, "deptId");
            return (Criteria) this;
        }

        public Criteria andGroupIndexIsNull() {
            addCriterion("group_index is null");
            return (Criteria) this;
        }

        public Criteria andGroupIndexIsNotNull() {
            addCriterion("group_index is not null");
            return (Criteria) this;
        }

        public Criteria andGroupIndexEqualTo(Integer value) {
            addCriterion("group_index =", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexNotEqualTo(Integer value) {
            addCriterion("group_index <>", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexGreaterThan(Integer value) {
            addCriterion("group_index >", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexGreaterThanOrEqualTo(Integer value) {
            addCriterion("group_index >=", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexLessThan(Integer value) {
            addCriterion("group_index <", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexLessThanOrEqualTo(Integer value) {
            addCriterion("group_index <=", value, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexIn(List<Integer> values) {
            addCriterion("group_index in", values, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexNotIn(List<Integer> values) {
            addCriterion("group_index not in", values, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexBetween(Integer value1, Integer value2) {
            addCriterion("group_index between", value1, value2, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupIndexNotBetween(Integer value1, Integer value2) {
            addCriterion("group_index not between", value1, value2, "groupIndex");
            return (Criteria) this;
        }

        public Criteria andGroupPiIsNull() {
            addCriterion("group_pi is null");
            return (Criteria) this;
        }

        public Criteria andGroupPiIsNotNull() {
            addCriterion("group_pi is not null");
            return (Criteria) this;
        }

        public Criteria andGroupPiEqualTo(Long value) {
            addCriterion("group_pi =", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiNotEqualTo(Long value) {
            addCriterion("group_pi <>", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiGreaterThan(Long value) {
            addCriterion("group_pi >", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiGreaterThanOrEqualTo(Long value) {
            addCriterion("group_pi >=", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiLessThan(Long value) {
            addCriterion("group_pi <", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiLessThanOrEqualTo(Long value) {
            addCriterion("group_pi <=", value, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiIn(List<Long> values) {
            addCriterion("group_pi in", values, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiNotIn(List<Long> values) {
            addCriterion("group_pi not in", values, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiBetween(Long value1, Long value2) {
            addCriterion("group_pi between", value1, value2, "groupPi");
            return (Criteria) this;
        }

        public Criteria andGroupPiNotBetween(Long value1, Long value2) {
            addCriterion("group_pi not between", value1, value2, "groupPi");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}