package com.sh.share.req;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class AddSharePermissionReq {
    private Integer id;

    @NotNull(message = "分享类型id不能为空")
    private String shareTypeId;

    @NotNull(message = "分享类型编码不能为空")
    private String shareTypeCode;

    @NotNull(message = "位权限不能为空")
    private Long bitPermission;

    @NotNull(message = "权限名不能为空")
    private String permissionCn;

    @NotNull(message = "权限编码不能为空")
    private String permissionEn;

    @NotNull(message = "描述不能为空")
    private String description;

    private String delFlag;

    private Date createTime;

    @NotNull(message = "创建人不能为空")
    private String createBy;

    private Date updateTime;

    private String updateBy;

    private Long deptId;

    private Integer groupIndex;

    private Long groupPi;

    private Long tenantId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getShareTypeId() {
        return shareTypeId;
    }

    public void setShareTypeId(String shareTypeId) {
        this.shareTypeId = shareTypeId;
    }

    public String getShareTypeCode() {
        return shareTypeCode;
    }

    public void setShareTypeCode(String shareTypeCode) {
        this.shareTypeCode = shareTypeCode;
    }

    public Long getBitPermission() {
        return bitPermission;
    }

    public void setBitPermission(Long bitPermission) {
        this.bitPermission = bitPermission;
    }

    public String getPermissionCn() {
        return permissionCn;
    }

    public void setPermissionCn(String permissionCn) {
        this.permissionCn = permissionCn;
    }

    public String getPermissionEn() {
        return permissionEn;
    }

    public void setPermissionEn(String permissionEn) {
        this.permissionEn = permissionEn;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDelFlag() {
        return "0";
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return new Date();
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return new Date();
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getGroupIndex() {
        return groupIndex;
    }

    public void setGroupIndex(Integer groupIndex) {
        this.groupIndex = groupIndex;
    }

    public Long getGroupPi() {
        return groupPi;
    }

    public void setGroupPi(Long groupPi) {
        this.groupPi = groupPi;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", shareTypeId=").append(shareTypeId);
        sb.append(", shareTypeCode=").append(shareTypeCode);
        sb.append(", bitPermission=").append(bitPermission);
        sb.append(", permissionCn=").append(permissionCn);
        sb.append(", permissionEn=").append(permissionEn);
        sb.append(", description=").append(description);
        sb.append(", delFlag=").append(delFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", deptId=").append(deptId);
        sb.append(", groupIndex=").append(groupIndex);
        sb.append(", groupPi=").append(groupPi);
        sb.append(", tenantId=").append(tenantId);
        sb.append("]");
        return sb.toString();
    }
}